<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" displayName="ClipsAndTacks" id="ClipsAndTacks" timestamp="2007-12-07T12:16:40Z" xmlns:ae="http:///ClipsAndTacks/ActivityEvent.xsd" xmlns:noe="http:///ClipsAndTacks/NewOrderEvent.xsd" xmlns:doe="http:///ClipsAndTacks/DeclinedOrderEvent.xsd" xmlns:laose="http:///ClipsAndTacks/LateAverageOrderShippedEvent.xsd" xmlns:wbm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions">
  <monitorDetailsModel displayName="ClipsAndTacks" id="MDM">
    <monitoringContext displayName="ClipsAndTacks MC" id="ClipsAndTacks_MC">
      <trigger displayName="Ship Order to Customer Trigger" id="Ship_Order_to_Customer_Trigger" isRepeatable="false" terminateContext="true">
      	<onEvent ref="Activity_Event"/>
      	<gatingCondition expression="Activity_Event/My_Event_Part1/ae:activityName = 'Ship Order to Customer' and   Activity_Event/My_Event_Part1/ae:eventType = 'completed'"/>
      </trigger>
      <trigger displayName="Cancel Trigger" id="Cancel_Trigger" isRepeatable="false" terminateContext="true">
      	<onEvent ref="Activity_Event"/>
      	<gatingCondition expression="Activity_Event/My_Event_Part1/ae:activityName = 'Cancel Order and Send Notification' and Activity_Event/My_Event_Part1/ae:eventType = 'completed'"/>
      </trigger>
      <trigger displayName="New Order Trigger" id="New_Order_Trigger" isRepeatable="true">
      	<onEvent ref="New_Order_Event"/>
      	<gatingCondition expression="New_Order_Event/My_Event_Part/noe:NEWActivityEventData/ae:activityName = 'Check Order Handling Policy for Automatic Approval' and New_Order_Event/My_Event_Part/noe:NEWActivityEventData/ae:eventType = 'started'"/>
      </trigger>
      <inboundEvent displayName="Activity Event" id="Activity_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
      	<eventPart displayName="My Event Part1" id="My_Event_Part1" path="cbe:CommonBaseEvent/ae:ActivityEventData" type="ae:ActivityEventData"></eventPart>
      	<eventPart displayName="My Event Part2" id="My_Event_Part2" path="cbe:CommonBaseEvent/ae:OrderBOData" type="ae:OrderBOData"></eventPart>
      	<correlationPredicate expression="ClipsAndTacks_Key =Activity_Event/My_Event_Part2/ae:orderNumber"/>
      	<filter expression="Activity_Event/My_Event_Part1/ae:businessUnit = 'Clips And Tacks' and Activity_Event/My_Event_Part1/ae:processName = 'Order Handling'"/>
      </inboundEvent>
      <inboundEvent displayName="New Order Event" id="New_Order_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
      	<eventPart displayName="My Event Part" id="My_Event_Part" path="cbe:CommonBaseEvent/noe:NewOrderEvent" type="noe:NewOrderEvent"></eventPart>
      	<correlationPredicate expression="ClipsAndTacks_Key = New_Order_Event/My_Event_Part/noe:NEWOrderBOData/ae:orderNumber"/>
      	<filter expression="New_Order_Event/My_Event_Part/noe:NEWActivityEventData/ae:businessUnit = 'Clips And Tacks' and New_Order_Event/My_Event_Part/noe:NEWActivityEventData/ae:processName ='Order Handling'"/>
      </inboundEvent>
      <metric displayName="ClipsAndTacks Key" id="ClipsAndTacks_Key" type="xsd:string" isPartOfKey="true">
      	<map>
      		<outputValue>
      			<singleValue expression="New_Order_Event/My_Event_Part/noe:NEWOrderBOData/ae:orderNumber"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Order Start Time" id="Order_Start_Time" type="xsd:dateTime">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/My_Event_Part/noe:NEWActivityEventData/ae:startTime"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Order End Time" id="Order_End_Time" type="xsd:dateTime">
      	<map>
      		<trigger ref="Ship_Order_to_Customer_Trigger"/>
      		<outputValue>
      			<singleValue expression="Activity_Event/My_Event_Part1/ae:endTime"/>
      		</outputValue>
      	</map>
      	<map>
      		<trigger ref="Cancel_Trigger"/>
      		<outputValue>
      			<singleValue expression="Activity_Event/My_Event_Part1/ae:endTime"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Order Fulfillment Duration" id="Order_Fulfillment_Duration" type="xsd:duration">
      	<map>
      		<trigger ref="Ship_Order_to_Customer_Trigger"/>
      		<outputValue>
      			<singleValue expression="xs:dayTimeDuration(Order_End_Time - Order_Start_Time)"/>
      		</outputValue>
      	</map>
      	<map>
      		<trigger ref="Cancel_Trigger"/>
      		<outputValue>
      			<singleValue expression="xs:dayTimeDuration (Order_End_Time - Order_Start_Time)"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="dayTimeDuration('P0DT0H0M0.000S')"/>
      	</defaultValue>
      </metric>
      <metric displayName="Order Status" id="Order_Status" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="Cancel_Trigger"/>
      		<outputValue>
      			<singleValue expression="'Cancelled'"/>
      		</outputValue>
      	</map>
      	<map>
      		<trigger ref="Ship_Order_to_Customer_Trigger"/>
      		<outputValue>
      			<singleValue expression="'Shipped'"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="'New'"/>
      	</defaultValue>
      </metric>
      <metric displayName="country" id="country" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/My_Event_Part/noe:NEWOrderBOData/ae:country"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="city" id="city" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/My_Event_Part/noe:NEWOrderBOData/ae:city"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="totalPrice" id="totalPrice" type="xsd:decimal" valueRequired="false">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/My_Event_Part/noe:NEWOrderBOData/ae:totalPrice"/>
      		</outputValue>
      	</map>
      </metric>
      <counter displayName="Ship Counter" id="Ship_Counter" type="xsd:integer">
      	<incrementedWhen ref="Ship_Order_to_Customer_Trigger"/>
      </counter>
      <stopwatch displayName="Monitoring Context Timer" id="Monitoring_Context_Timer" type="xsd:duration">
      	<startedWhen ref="New_Order_Trigger"/>
      	<stoppedWhen ref="Ship_Order_to_Customer_Trigger"/>
      	<stoppedWhen ref="Cancel_Trigger"/>
      </stopwatch>
    </monitoringContext>
  </monitorDetailsModel>
  <kpiModel displayName="ClipsAndTacks" id="KM">
  	<kpiContext displayName="My KPI Context" id="My_KPI_Context">
  		<trigger displayName="Declined Order Trigger" id="Declined_Order_Trigger" isRepeatable="false">
  			<evaluationTime minutes="1"/>
  			<gatingCondition expression="Declined_Order_KPI &gt;= 3"/>
  		</trigger>
  		<trigger displayName="Order Fulfillment Timer Trigger" id="Order_Fulfillment_Timer_Trigger" isRepeatable="false">
  			<evaluationTime minutes="1"/>
  			<gatingCondition expression="Average_Order_Fulfillment_KPI_August_2006 ge dayTimeDuration ('P3DT1H')"/>
  		</trigger>
  		<outboundEvent displayName="Declined Order Outbound Event" id="Declined_Order_Outbound_Event" rootElement="cbe:CommonBaseEvent" extensionName="DeclinedOrderEvent">
  			<map>
  				<trigger ref="Declined_Order_Trigger"/>
  				<outputValue>
  					<assignments>
  						<assignment leftValue="Declined_Order_Outbound_Event/extendedData/BusinessSituationName" rightValue="'Too many orders have been declined'" />
  					</assignments>
  				</outputValue>
  			</map>
  		</outboundEvent>
  		<outboundEvent displayName="Order Fulfillment Outbound Event" id="Order_Fulfillment_Outbound_Event" rootElement="cbe:CommonBaseEvent" extensionName="LateAverageOrderShippedEvent">
  			<map>
  				<trigger ref="Order_Fulfillment_Timer_Trigger"/>
  				<outputValue>
  					<assignments>
  						<assignment leftValue="Order_Fulfillment_Outbound_Event/extendedData/BusinessSituationName" rightValue="'Average shipment is too late'" />
  						<assignment leftValue="Order_Fulfillment_Outbound_Event/extendedData/AverageOrderProcessingTime" rightValue="xs:string(xs:decimal(Average_Order_Fulfillment_KPI_August_2006) div 86400)" />
  					</assignments>
  				</outputValue>
  			</map>
  		</outboundEvent>
  		<kpi displayName="Average Order Fulfillment KPI August 2006" id="Average_Order_Fulfillment_KPI_August_2006" rangeType="actualValue" type="xsd:duration">
  			<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="Order_Fulfillment_Duration"/>
  				<metricFilter ref="Order_Status" operator="equals">
  					<value expression="'Shipped'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Order_Start_Time">
  					<fixedPeriod timezone="Etc/GMT+6" startDate="2006-08-01T00:00:00" endDate="2006-08-31T23:59:59"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="259200000">
  				<description></description>
  			</target>
  			<range displayName="Day 1" id="Day_1">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="86400000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 2" id="Day_2">
  				<startValue displayName="startValue" id="startValue" value="86400000"></startValue>
  				<endValue displayName="endValue" id="endValue" value="172800000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 3" id="Day_3">
  				<startValue displayName="startValue" id="startValue" value="172800000"></startValue>
  				<endValue displayName="endValue" id="endValue" value="259200000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 4" id="Day_4">
  				<startValue displayName="startValue" id="startValue" value="259200000"></startValue>
  				<endValue displayName="endValue" id="endValue" value="345600000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 5" id="Day_5">
  				<startValue displayName="startValue" id="startValue" value="345600000"></startValue>
  				<endValue displayName="endValue" id="endValue" value="432000000">
  					<description></description>
  				</endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Order Count KPI" id="Order_Count_KPI" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="ClipsAndTacks_Key"/>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Ship Count KPI" id="Ship_Count_KPI" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="ClipsAndTacks_Key"/>
  				<metricFilter ref="Order_Status" operator="equals">
  					<value expression="'Shipped'"/>
  				</metricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Percent of Orders Approved KPI" id="Percent_of_Orders_Approved_KPI" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="fn:round((Ship_Count_KPI div Order_Count_KPI) * 100)"/>
  			</calculatedDefinition>
  			<target displayName="Target" id="Target" value="90"></target>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="90">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="90"></startValue>
  				<endValue displayName="endValue" id="endValue" value="100">
  					<description></description>
  				</endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Average Order Price KPI (Dollars)" id="Average_Order_Price_KPI__x0028_Dollars_x0029_" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="totalPrice"/>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="300"></target>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="300">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="300"></startValue>
  				<endValue displayName="endValue" id="endValue" value="1000">
  					<description></description>
  				</endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Declined Order KPI" id="Declined_Order_KPI" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="ClipsAndTacks_Key"/>
  				<metricFilter ref="Order_Status" operator="equals">
  					<value expression="'Cancelled'"/>
  				</metricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="3">
  				<description></description>
  			</target>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="3">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="3"></startValue>
  				<endValue displayName="endValue" id="endValue" value="10">
  					<description></description>
  				</endValue>
  			</range>
  		</kpi>
  	</kpiContext>
  </kpiModel>
  <dimensionalModel displayName="ClipsAndTacks DMM" id="DMM">
    <cube displayName="ClipsAndTacks MC Cube" id="ClipsAndTacks_MC_Cube" monitoringContext="ClipsAndTacks_MC">
    	<measure displayName="Average Order Price" id="Average_Order_Price" aggregationType="avg" source="/ClipsAndTacks/MDM/ClipsAndTacks_MC/totalPrice"></measure>
    	<measure displayName="Sum Order Price" id="Sum_Order_Price" aggregationType="sum" source="/ClipsAndTacks/MDM/ClipsAndTacks_MC/totalPrice"></measure>
    	<measure displayName="Order Count" id="Order_Count" aggregationType="count" source="/ClipsAndTacks/MDM/ClipsAndTacks_MC/ClipsAndTacks_Key"></measure>
    	<dimension displayName="Order Status Dimension" id="Order_Status_Dimension">
    		<attribute displayName="Order Status" id="Order_Status" attributeSource="/ClipsAndTacks/MDM/ClipsAndTacks_MC/Order_Status" level="1"></attribute>
    	</dimension>
    	<dimension displayName="Location" id="Location">
    		<attribute displayName="Country" id="Country" attributeSource="/ClipsAndTacks/MDM/ClipsAndTacks_MC/country" level="1"></attribute>
    		<attribute displayName="City" id="City" attributeSource="/ClipsAndTacks/MDM/ClipsAndTacks_MC/city" level="2"></attribute>
    	</dimension>
    </cube>
  </dimensionalModel>
  <eventModel id="EM">
    <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
    <import location="ActivityEvent.xsd" namespace="http:///ClipsAndTacks/ActivityEvent.xsd"/>
    <import location="NewOrderEvent.xsd" namespace="http:///ClipsAndTacks/NewOrderEvent.xsd"/>
    <import location="DeclinedOrderEvent.cbe" />
    <import location="LateAverageOrderShippedEvent.cbe" />
  </eventModel>
</mm:monitor>