<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" displayName="ClipsAndTacks" id="ClipsAndTacks" timestamp="2007-09-11T12:07:30Z">
  <monitorDetailsModel displayName="ClipsAndTacks" id="MDM">
    <monitoringContext displayName="ClipsAndTacks MC" id="ClipsAndTacks_MC">
      <trigger displayName="Ship Order to Customer Trigger" id="Ship_Order_to_Customer_Trigger" terminateContext="true">
      	<onEvent ref="Activity_Event"/>
      	<gatingCondition expression="Activity_Event/extendedData/ActivityEventData/activityName='Ship Order to Customer' and Activity_Event/extendedData/ActivityEventData/eventType='completed'"/>
      </trigger>
      <trigger displayName="Cancel Trigger" id="Cancel_Trigger" terminateContext="true">
      	<onEvent ref="Activity_Event"/>
      	<gatingCondition expression="Activity_Event/extendedData/ActivityEventData/activityName='Cancel Order and Send Notification' and Activity_Event/extendedData/ActivityEventData/eventType='completed'"/>
      </trigger>
      <trigger displayName="New Order Trigger" id="New_Order_Trigger">
      	<onEvent ref="New_Order_Event"/>
      	<gatingCondition expression="New_Order_Event/extendedData/ActivityEventData/activityName='Check Order Handling Policy for Automatic Approval' and New_Order_Event/extendedData/ActivityEventData/eventType='started'"/>
      </trigger>
      <inboundEvent displayName="Activity Event" id="Activity_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent" extensionName="ActivityEvent">
      	<correlationPredicate expression="ClipsAndTacks_Key = Activity_Event/extendedData/OrderBOData/orderNumber"/>
      	<filter expression="Activity_Event/extendedData/ActivityEventData/businessUnit = 'Clips And Tacks' and Activity_Event/extendedData/ActivityEventData/processName = 'Order Handling'"/>
      </inboundEvent>
      <inboundEvent displayName="New Order Event" id="New_Order_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent" extensionName="NewOrderEvent">
      	<correlationPredicate expression="ClipsAndTacks_Key=New_Order_Event/extendedData/OrderBOData/orderNumber"/>
      	<filter expression="New_Order_Event/extendedData/ActivityEventData/businessUnit='Clips And Tacks' and New_Order_Event/extendedData/ActivityEventData/processName='Order Handling'"/>
      </inboundEvent>
      <metric displayName="ClipsAndTacks Key" id="ClipsAndTacks_Key" type="xsd:string" isPartOfKey="true">
      	<map>
      		<outputValue>
      			<singleValue expression="New_Order_Event/extendedData/OrderBOData/orderNumber"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Order Start Time" id="Order_Start_Time" type="xsd:dateTime">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/extendedData/ActivityEventData/startTime"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Order End Time" id="Order_End_Time" type="xsd:dateTime">
      	<map>
      		<trigger ref="Ship_Order_to_Customer_Trigger"/>
      		<outputValue>
      			<singleValue expression="Activity_Event/extendedData/ActivityEventData/endTime"/>
      		</outputValue>
      	</map>
      	<map>
      		<trigger ref="Cancel_Trigger"/>
      		<outputValue>
      			<singleValue expression="Activity_Event/extendedData/ActivityEventData/endTime"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Order Fulfillment Duration" id="Order_Fulfillment_Duration" type="xsd:duration">
      	<map>
      		<trigger ref="Ship_Order_to_Customer_Trigger"/>
      		<outputValue>
      			<singleValue expression="xs:dayTimeDuration(Order_End_Time - Order_Start_Time)"/>
      		</outputValue>
      	</map>
      	<map>
      		<trigger ref="Cancel_Trigger"/>
      		<outputValue>
      			<singleValue expression="xs:dayTimeDuration(Order_End_Time - Order_Start_Time)"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="dayTimeDuration('P0DT0H0M0.000S')"/>
      	</defaultValue>
      </metric>
      <metric displayName="Order Status" id="Order_Status" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="Cancel_Trigger"/>
      		<outputValue>
      			<singleValue expression="'Cancelled'"/>
      		</outputValue>
      	</map>
      	<map>
      		<trigger ref="Ship_Order_to_Customer_Trigger"/>
      		<outputValue>
      			<singleValue expression="'Shipped'"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="'New'"/>
      	</defaultValue>
      </metric>
      <metric displayName="country" id="country" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/extendedData/OrderBOData/country"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="city" id="city" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/extendedData/OrderBOData/city"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="totalPrice" id="totalPrice" type="xsd:decimal">
      	<map>
      		<trigger ref="New_Order_Trigger"/>
      		<outputValue>
      			<singleValue expression="New_Order_Event/extendedData/OrderBOData/totalPrice"/>
      		</outputValue>
      	</map>
      </metric>
      <counter displayName="Ship Counter" id="Ship_Counter" type="xsd:integer">
      	<incrementedWhen ref="Ship_Order_to_Customer_Trigger"/>
      </counter>
      <stopwatch displayName="Monitoring Context Timer" id="Monitoring_Context_Timer" type="xsd:duration">
      	<startedWhen ref="New_Order_Trigger"/>
      	<stoppedWhen ref="Ship_Order_to_Customer_Trigger"/>
      	<stoppedWhen ref="Cancel_Trigger"/>
      </stopwatch>
    </monitoringContext>
  </monitorDetailsModel>
  <kpiModel displayName="ClipsAndTacks" id="KM">
  	<kpiContext displayName="My KPI Context" id="My_KPI_Context">
  		<trigger displayName="Declined Order Trigger" id="Declined_Order_Trigger">
  			<evaluationTime minutes="1"/>
  			<gatingCondition expression="Declined_Order_KPI &gt;= 3
"/>
  		</trigger>
  		<trigger displayName="Order Fulfillment Timer Trigger" id="Order_Fulfillment_Timer_Trigger">
  			<evaluationTime minutes="1"/>
  			<gatingCondition expression="Average_Order_Fulfillment_KPI_August_2006 ge dayTimeDuration('P3DT1H')"/>
  		</trigger>
  		<outboundEvent displayName="Declined Order Outbound Event" id="Declined_Order_Outbound_Event" rootElement="cbe:CommonBaseEvent" extensionName="DeclinedOrderEvent">
  			<map>
  				<trigger ref="Declined_Order_Trigger"/>
  				<outputValue>
  					<assignments>
  						<assignment leftValue="Declined_Order_Outbound_Event/extendedData/BusinessSituationName" rightValue="'Too many orders have been declined'"/>
  					</assignments>
  				</outputValue>
  			</map>
  		</outboundEvent>
  		<outboundEvent displayName="Order Fulfillment Outbound Event" id="Order_Fulfillment_Outbound_Event" rootElement="cbe:CommonBaseEvent" extensionName="LateAverageOrderShippedEvent">
  			<map>
  				<trigger ref="Order_Fulfillment_Timer_Trigger"/>
  				<outputValue>
  					<assignments>
  						<assignment leftValue="Order_Fulfillment_Outbound_Event/extendedData/AverageOrderProcessingTime" rightValue="string(decimal(Average_Order_Fulfillment_KPI_August_2006) div 86400)"/>
  						<assignment leftValue="Order_Fulfillment_Outbound_Event/extendedData/BusinessSituationName" rightValue="'Average shipment is too late'"/>
  					</assignments>
  				</outputValue>
  			</map>
  		</outboundEvent>
  		<kpi displayName="Average Order Fulfillment KPI August 2006" id="Average_Order_Fulfillment_KPI_August_2006" rangeType="actualValue" type="xsd:duration">
  			<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="Order_Fulfillment_Duration"/>
  				<metricFilter ref="Order_Status" operator="equals">
  					<value expression="'Shipped'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Order_Start_Time">
  					<fixedPeriod timezone="Etc/GMT+6" startDate="2006-08-01T00:00:00" endDate="2006-08-31T23:59:59"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="259200000">
  				<description></description>
  			</target>
  			<range displayName="Day 1" id="Day_1">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="86400000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 2" id="Day_2">
  				<startValue displayName="startValue" id="startValue" value="86400000"></startValue>
  				<endValue displayName="endValue" id="endValue" value="172800000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 3" id="Day_3">
  				<startValue displayName="startValue" id="startValue" value="172800000">
  					<description></description>
  				</startValue>
  				<endValue displayName="endValue" id="endValue" value="259200000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 4" id="Day_4">
  				<startValue displayName="startValue" id="startValue" value="259200000">
  					<description></description>
  				</startValue>
  				<endValue displayName="endValue" id="endValue" value="345600000">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="Day 5" id="Day_5">
  				<startValue displayName="startValue" id="startValue" value="345600000">
  					<description></description>
  				</startValue>
  				<endValue displayName="endValue" id="endValue" value="432000000">
  					<description></description>
  				</endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Order Count KPI" id="Order_Count_KPI" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="ClipsAndTacks_Key"/>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Ship Count KPI" id="Ship_Count_KPI" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="ClipsAndTacks_Key"/>
  				<metricFilter ref="Order_Status" operator="equals">
  					<value expression="'Shipped'"/>
  				</metricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Percent of Orders Approved KPI" id="Percent_of_Orders_Approved_KPI" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="fn:round((Ship_Count_KPI div Order_Count_KPI) * 100)"/>
  			</calculatedDefinition>
  			<target displayName="Target" id="Target" value="90">
  				<description></description>
  			</target>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="90"></endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="90"></startValue>
  				<endValue displayName="endValue" id="endValue" value="100"></endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Average Order Price KPI (Dollars)" id="Average_Order_Price_KPI__x0028_Dollars_x0029_" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="totalPrice"/>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="300">
  				<description></description>
  			</target>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="300">
  					<description></description>
  				</endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="300"></startValue>
  				<endValue displayName="endValue" id="endValue" value="1000"></endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Declined Order KPI" id="Declined_Order_KPI" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="ClipsAndTacks_MC"/>
  				<metric ref="ClipsAndTacks_Key"/>
  				<metricFilter ref="Order_Status" operator="equals">
  					<value expression="'Cancelled'"/>
  				</metricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="3">
  				<description></description>
  			</target>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"></startValue>
  				<endValue displayName="endValue" id="endValue" value="3"></endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="3"></startValue>
  				<endValue displayName="endValue" id="endValue" value="10"></endValue>
  			</range>
  		</kpi>
  	</kpiContext>
  </kpiModel>
  <dimensionalModel displayName="ClipsAndTacks DMM" id="DMM">
    <cube displayName="ClipsAndTacks MC Cube" id="ClipsAndTacks_MC_Cube" monitoringContext="ClipsAndTacks_MC">
    	<measure displayName="Average Order Price" id="Average_Order_Price" aggregationType="avg" source="totalPrice"></measure>
    	<measure displayName="Sum Order Price" id="Sum_Order_Price" aggregationType="sum" source="totalPrice"></measure>
    	<measure displayName="Order Count" id="Order_Count" aggregationType="count" source="ClipsAndTacks_Key"></measure>
    	<dimension displayName="Order Status Dimension" id="Order_Status_Dimension">
    		<attribute displayName="Order Status" id="Order_Status" attributeSource="Order_Status" level="1"></attribute>
    	</dimension>
    	<dimension displayName="Location" id="Location">
    		<attribute displayName="Country" id="Country" attributeSource="country" level="1"></attribute>
    		<attribute displayName="City" id="City" attributeSource="city" level="2"></attribute>
    	</dimension>
    </cube>
  </dimensionalModel>
  <visualModel id="VM">
  	<visualization context="MDM/ClipsAndTacks_MC">
  		<shapeSets>
  			<shapeSet displayName="Connection" id="Connection">
  				<shapes>Connection</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_12" id="Connection_x005f_x003a_12">
  				<shapes>Connection_x003a_12</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_4" id="Connection_x005f_x003a_4">
  				<shapes>Connection_x003a_4</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_3" id="Connection_x005f_x003a_3">
  				<shapes>Connection_x003a_3</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_6" id="Connection_x005f_x003a_6">
  				<shapes>Connection_x003a_6</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_5" id="Connection_x005f_x003a_5">
  				<shapes>Connection_x003a_5</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_8" id="Connection_x005f_x003a_8">
  				<shapes>Connection_x003a_8</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_9" id="Connection_x005f_x003a_9">
  				<shapes>Connection_x003a_9</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_11" id="Connection_x005f_x003a_11">
  				<shapes>Connection_x003a_11</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_7" id="Connection_x005f_x003a_7">
  				<shapes>Connection_x003a_7</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_15" id="Connection_x005f_x003a_15">
  				<shapes>Connection_x003a_15</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_13" id="Connection_x005f_x003a_13">
  				<shapes>Connection_x003a_13</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_10" id="Connection_x005f_x003a_10">
  				<shapes>Connection_x003a_10</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_14" id="Connection_x005f_x003a_14">
  				<shapes>Connection_x003a_14</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_3_bottom_label" id="Stop_Node_x005f_x003a_3_bottom_label">
  				<shapes>Stop_Node_x003a_3_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_3_top_label" id="Stop_Node_x005f_x003a_3_top_label">
  				<shapes>Stop_Node_x003a_3_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_2_bottom_label" id="Stop_Node_x005f_x003a_2_bottom_label">
  				<shapes>Stop_Node_x003a_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_2_top_label" id="Stop_Node_x005f_x003a_2_top_label">
  				<shapes>Stop_Node_x003a_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_x003a_2_bottom_label" id="Merge_x005f_x003a_2_bottom_label">
  				<shapes>Merge_x003a_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_x003a_2_top_label" id="Merge_x005f_x003a_2_top_label">
  				<shapes>Merge_x003a_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_bottom_label" id="Merge_bottom_label">
  				<shapes>Merge_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_top_label" id="Merge_top_label">
  				<shapes>Merge_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Cancel_Order_and_Send_Notification_bottom_label" id="Cancel_Order_and_Send_Notification_bottom_label">
  				<shapes>Cancel_Order_and_Send_Notification_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Cancel_Order_and_Send_Notification_top_label" id="Cancel_Order_and_Send_Notification_top_label">
  				<shapes>Cancel_Order_and_Send_Notification_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Ship_Order_to_Customer_bottom_label" id="Ship_Order_to_Customer_bottom_label">
  				<shapes>Ship_Order_to_Customer_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Ship_Order_to_Customer_top_label" id="Ship_Order_to_Customer_top_label">
  				<shapes>Ship_Order_to_Customer_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Review_Order_bottom_label" id="Review_Order_bottom_label">
  				<shapes>Review_Order_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Review_Order_top_label" id="Review_Order_top_label">
  				<shapes>Review_Order_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Customer_Account_Status_bottom_label" id="Check_Customer_Account_Status_bottom_label">
  				<shapes>Check_Customer_Account_Status_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Customer_Account_Status_top_label" id="Check_Customer_Account_Status_top_label">
  				<shapes>Check_Customer_Account_Status_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Acceptable_Credit_Risk_x003f__bottom_label" id="Acceptable_Credit_Risk_x005f_x003f__bottom_label">
  				<shapes>Acceptable_Credit_Risk_x003f__bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Acceptable_Credit_Risk_x003f__top_label" id="Acceptable_Credit_Risk_x005f_x003f__top_label">
  				<shapes>Acceptable_Credit_Risk_x003f__top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Account_in_Good_Standing_x003f__bottom_label" id="Account_in_Good_Standing_x005f_x003f__bottom_label">
  				<shapes>Account_in_Good_Standing_x003f__bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Account_in_Good_Standing_x003f__top_label" id="Account_in_Good_Standing_x005f_x003f__top_label">
  				<shapes>Account_in_Good_Standing_x003f__top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Approve_Without_Review_x003f__bottom_label" id="Approve_Without_Review_x005f_x003f__bottom_label">
  				<shapes>Approve_Without_Review_x003f__bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Approve_Without_Review_x003f__top_label" id="Approve_Without_Review_x005f_x003f__top_label">
  				<shapes>Approve_Without_Review_x003f__top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Order_Handling_Policy_for_Automatic_Approval_bottom_label" id="Check_Order_Handling_Policy_for_Automatic_Approval_bottom_label">
  				<shapes>Check_Order_Handling_Policy_for_Automatic_Approval_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Order_Handling_Policy_for_Automatic_Approval_top_label" id="Check_Order_Handling_Policy_for_Automatic_Approval_top_label">
  				<shapes>Check_Order_Handling_Policy_for_Automatic_Approval_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Cancel_Order_and_Send_Notification" id="Cancel_Order_and_Send_Notification">
  				<shapes>Cancel_Order_and_Send_Notification</shapes>
  			</shapeSet>
  			<shapeSet displayName="Ship_Order_to_Customer" id="Ship_Order_to_Customer">
  				<shapes>Ship_Order_to_Customer</shapes>
  			</shapeSet>
  			<shapeSet displayName="Review_Order" id="Review_Order">
  				<shapes>Review_Order</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Customer_Account_Status" id="Check_Customer_Account_Status">
  				<shapes>Check_Customer_Account_Status</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Order_Handling_Policy_for_Automatic_Approval" id="Check_Order_Handling_Policy_for_Automatic_Approval">
  				<shapes>Check_Order_Handling_Policy_for_Automatic_Approval</shapes>
  			</shapeSet>
  			<shapeSet displayName="Approve_Without_Review_x003f_" id="Approve_Without_Review_x005f_x003f_">
  				<shapes>Approve_Without_Review_x003f_</shapes>
  			</shapeSet>
  			<shapeSet displayName="Account_in_Good_Standing_x003f_" id="Account_in_Good_Standing_x005f_x003f_">
  				<shapes>Account_in_Good_Standing_x003f_</shapes>
  			</shapeSet>
  			<shapeSet displayName="Acceptable_Credit_Risk_x003f_" id="Acceptable_Credit_Risk_x005f_x003f_">
  				<shapes>Acceptable_Credit_Risk_x003f_</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge" id="Merge">
  				<shapes>Merge</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_x003a_2" id="Merge_x005f_x003a_2">
  				<shapes>Merge_x003a_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_2" id="Stop_Node_x005f_x003a_2">
  				<shapes>Stop_Node_x003a_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_3" id="Stop_Node_x005f_x003a_3">
  				<shapes>Stop_Node_x003a_3</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_2" id="Connection_x005f_x003a_2">
  				<shapes>Connection_x003a_2</shapes>
  			</shapeSet>
  		</shapeSets>
  		<actions>
  			<setColor condition="Order_Status eq 'Shipped'" fillColor="#0000ff">
  				<shapeSet ref="Ship_Order_to_Customer"/>
  			</setColor>
  			<setColor condition="Order_Status eq 'Cancelled'" fillColor="#0000ff">
  				<shapeSet ref="Cancel_Order_and_Send_Notification"/>
  			</setColor>
  		</actions>
  		<svgDocument>
  			<import location="ClipsAndTacks_MC.svg"/>
  		</svgDocument>
  	</visualization>
  	<visualization context="KM/My_KPI_Context">
  		<shapeSets>
  			<shapeSet displayName="Connection_2" id="Connection_2">
  				<shapes>Connection_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_12_2" id="Connection_x005f_x003a_12_2">
  				<shapes>Connection_x003a_12_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_4_2" id="Connection_x005f_x003a_4_2">
  				<shapes>Connection_x003a_4_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_3_2" id="Connection_x005f_x003a_3_2">
  				<shapes>Connection_x003a_3_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_6_2" id="Connection_x005f_x003a_6_2">
  				<shapes>Connection_x003a_6_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_5_2" id="Connection_x005f_x003a_5_2">
  				<shapes>Connection_x003a_5_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_8_2" id="Connection_x005f_x003a_8_2">
  				<shapes>Connection_x003a_8_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_9_2" id="Connection_x005f_x003a_9_2">
  				<shapes>Connection_x003a_9_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_11_2" id="Connection_x005f_x003a_11_2">
  				<shapes>Connection_x003a_11_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_7_2" id="Connection_x005f_x003a_7_2">
  				<shapes>Connection_x003a_7_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_15_2" id="Connection_x005f_x003a_15_2">
  				<shapes>Connection_x003a_15_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_13_2" id="Connection_x005f_x003a_13_2">
  				<shapes>Connection_x003a_13_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_10_2" id="Connection_x005f_x003a_10_2">
  				<shapes>Connection_x003a_10_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_14_2" id="Connection_x005f_x003a_14_2">
  				<shapes>Connection_x003a_14_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_3_2_bottom_label" id="Stop_Node_x005f_x003a_3_2_bottom_label">
  				<shapes>Stop_Node_x003a_3_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_3_2_top_label" id="Stop_Node_x005f_x003a_3_2_top_label">
  				<shapes>Stop_Node_x003a_3_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_2_2_bottom_label" id="Stop_Node_x005f_x003a_2_2_bottom_label">
  				<shapes>Stop_Node_x003a_2_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_2_2_top_label" id="Stop_Node_x005f_x003a_2_2_top_label">
  				<shapes>Stop_Node_x003a_2_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_x003a_2_2_bottom_label" id="Merge_x005f_x003a_2_2_bottom_label">
  				<shapes>Merge_x003a_2_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_x003a_2_2_top_label" id="Merge_x005f_x003a_2_2_top_label">
  				<shapes>Merge_x003a_2_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_2_bottom_label" id="Merge_2_bottom_label">
  				<shapes>Merge_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_2_top_label" id="Merge_2_top_label">
  				<shapes>Merge_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Cancel_Order_and_Send_Notification_2_bottom_label" id="Cancel_Order_and_Send_Notification_2_bottom_label">
  				<shapes>Cancel_Order_and_Send_Notification_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Cancel_Order_and_Send_Notification_2_top_label" id="Cancel_Order_and_Send_Notification_2_top_label">
  				<shapes>Cancel_Order_and_Send_Notification_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Ship_Order_to_Customer_2_bottom_label" id="Ship_Order_to_Customer_2_bottom_label">
  				<shapes>Ship_Order_to_Customer_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Ship_Order_to_Customer_2_top_label" id="Ship_Order_to_Customer_2_top_label">
  				<shapes>Ship_Order_to_Customer_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Review_Order_2_bottom_label" id="Review_Order_2_bottom_label">
  				<shapes>Review_Order_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Review_Order_2_top_label" id="Review_Order_2_top_label">
  				<shapes>Review_Order_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Customer_Account_Status_2_bottom_label" id="Check_Customer_Account_Status_2_bottom_label">
  				<shapes>Check_Customer_Account_Status_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Customer_Account_Status_2_top_label" id="Check_Customer_Account_Status_2_top_label">
  				<shapes>Check_Customer_Account_Status_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Acceptable_Credit_Risk_x003f__2_bottom_label" id="Acceptable_Credit_Risk_x005f_x003f__2_bottom_label">
  				<shapes>Acceptable_Credit_Risk_x003f__2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Acceptable_Credit_Risk_x003f__2_top_label" id="Acceptable_Credit_Risk_x005f_x003f__2_top_label">
  				<shapes>Acceptable_Credit_Risk_x003f__2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Account_in_Good_Standing_x003f__2_bottom_label" id="Account_in_Good_Standing_x005f_x003f__2_bottom_label">
  				<shapes>Account_in_Good_Standing_x003f__2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Account_in_Good_Standing_x003f__2_top_label" id="Account_in_Good_Standing_x005f_x003f__2_top_label">
  				<shapes>Account_in_Good_Standing_x003f__2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Approve_Without_Review_x003f__2_bottom_label" id="Approve_Without_Review_x005f_x003f__2_bottom_label">
  				<shapes>Approve_Without_Review_x003f__2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Approve_Without_Review_x003f__2_top_label" id="Approve_Without_Review_x005f_x003f__2_top_label">
  				<shapes>Approve_Without_Review_x003f__2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Order_Handling_Policy_for_Automatic_Approval_2_bottom_label" id="Check_Order_Handling_Policy_for_Automatic_Approval_2_bottom_label">
  				<shapes>Check_Order_Handling_Policy_for_Automatic_Approval_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Order_Handling_Policy_for_Automatic_Approval_2_top_label" id="Check_Order_Handling_Policy_for_Automatic_Approval_2_top_label">
  				<shapes>Check_Order_Handling_Policy_for_Automatic_Approval_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Cancel_Order_and_Send_Notification_2" id="Cancel_Order_and_Send_Notification_2">
  				<shapes>Cancel_Order_and_Send_Notification_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Ship_Order_to_Customer_2" id="Ship_Order_to_Customer_2">
  				<shapes>Ship_Order_to_Customer_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Review_Order_2" id="Review_Order_2">
  				<shapes>Review_Order_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Customer_Account_Status_2" id="Check_Customer_Account_Status_2">
  				<shapes>Check_Customer_Account_Status_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Check_Order_Handling_Policy_for_Automatic_Approval_2" id="Check_Order_Handling_Policy_for_Automatic_Approval_2">
  				<shapes>Check_Order_Handling_Policy_for_Automatic_Approval_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Approve_Without_Review_x003f__2" id="Approve_Without_Review_x005f_x003f__2">
  				<shapes>Approve_Without_Review_x003f__2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Account_in_Good_Standing_x003f__2" id="Account_in_Good_Standing_x005f_x003f__2">
  				<shapes>Account_in_Good_Standing_x003f__2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Acceptable_Credit_Risk_x003f__2" id="Acceptable_Credit_Risk_x005f_x003f__2">
  				<shapes>Acceptable_Credit_Risk_x003f__2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_2" id="Merge_2">
  				<shapes>Merge_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Merge_x003a_2_2" id="Merge_x005f_x003a_2_2">
  				<shapes>Merge_x003a_2_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_2_2" id="Stop_Node_x005f_x003a_2_2">
  				<shapes>Stop_Node_x003a_2_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Stop_Node_x003a_3_2" id="Stop_Node_x005f_x003a_3_2">
  				<shapes>Stop_Node_x003a_3_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_x003a_2_2" id="Connection_x005f_x003a_2_2">
  				<shapes>Connection_x003a_2_2</shapes>
  			</shapeSet>
  		</shapeSets>
  		<actions>
  			<setColor condition="Ship_Count_KPI &gt; 2" fillColor="#00ff00">
  				<shapeSet ref="Ship_Order_to_Customer_2"/>
  			</setColor>
  			<setColor condition="Ship_Count_KPI &lt;=2" fillColor="#ff0000">
  				<shapeSet ref="Ship_Order_to_Customer_2"/>
  			</setColor>
  			<setText textValue="fn:concat('Shipment count: ',Ship_Count_KPI)">
  				<shapeSet ref="Ship_Order_to_Customer_2_bottom_label"/>
  			</setText>
  		</actions>
  		<svgDocument>
  			<import location="ClipsAndTacks_KC.svg"/>
  		</svgDocument>
  	</visualization>
  </visualModel>
  <eventModel id="EM">
  <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
  	<import location="ActivityEvent.cbe"/>
  	<import location="NewOrderEvent.cbe"/>
  	<import location="DeclinedOrderEvent.cbe"/>
  	<import location="LateAverageOrderShippedEvent.cbe"/>
  </eventModel>
</mm:monitor>