<?xml version="1.0" encoding="UTF-8"?>
	<mm:monitor xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" 
	xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" 
	xmlns:fn="http://www.w3.org/2005/xpath-functions"
	displayName="Order Item" id="OrderItem" timestamp="2006-08-03T00:00:00" xmlns:orderitem="http://www.orderitem.org/orderitem/functions">
	<xpathFunctions>
		<import namespace="http://www.orderitem.org/orderitem/functions"/>
	</xpathFunctions>

	<monitorDetailsModel displayName="OrderItem" id="MDM">
		<monitoringContext displayName="OrderItem MC" id="OrderItem_MC">
			<trigger displayName="processStartedTr"
				id="processStartedTr">
				<onEvent
					ref="//OrderItem/MDM/OrderItem_MC/ProcessStartedListener" />
			</trigger>
			<trigger displayName="processCompletedTr"
				id="processCompletedTr" isRepeatable="true">
				<onEvent ref="//OrderItem/MDM/OrderItem_MC/ProcessCompletedListener" />
			</trigger>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="ProcessCompletedListener" id="ProcessCompletedListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ProcessCompleted">
				<correlationPredicate expression="processKey=ProcessCompletedListener/extendedData/AEData/currentInstanceID" />
				<filter	expression="ProcessCompletedListener/extendedData/AEData/monitoringModel='OrderItem' and ProcessCompletedListener/extendedData/AEData/eventType='ProcessCompleted'" />
			</inboundEvent>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="ProcessStartedListener" id="ProcessStartedListener" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" extensionName="ProcessStarted">
				<correlationPredicate expression="processKey=ProcessStartedListener/extendedData/AEData/currentInstanceID" />
				<filter expression="ProcessStartedListener/extendedData/AEData/monitoringModel='OrderItem' and ProcessStartedListener/extendedData/AEData/eventType='ProcessStarted'" />
			</inboundEvent>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="OrderRegistrationListener" id="OrderRegistrationListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="OrderRegistration">
				<correlationPredicate expression="processKey=OrderRegistrationListener/extendedData/AEData/currentInstanceID" />
				<filter expression="OrderRegistrationListener/extendedData/AEData/monitoringModel='OrderItem' and OrderRegistrationListener/extendedData/AEData/eventType='OrderRegistration'" />
			</inboundEvent>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="ProcessTerminatedListener" id="ProcessTerminatedListener"
				multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ProcessTerminated">
				<correlationPredicate expression="processKey=ProcessTerminatedListener/extendedData/AEData/currentInstanceID" />
				<filter expression="ProcessTerminatedListener/extendedData/AEData/monitoringModel='OrderItem' and ProcessTerminatedListener/extendedData/AEData/eventType='ProcessTerminated'" />
			</inboundEvent>
			<trigger displayName="orderRegistrationListenerTR" id="orderRegistrationListenerTR">
				<onEvent ref="//OrderItem/MDM/OrderItem_MC/OrderRegistrationListener" />
			</trigger>
			<trigger displayName="processTerminatedTr" id="processTerminatedTr" terminateContext="true">
				<onEvent ref="ProcessTerminatedListener" />
			</trigger>
			<trigger displayName="recurringTrigger" id="recurringTrigger">
				<evaluationTime minutes="0" days="0" hours="1"/>
				<gatingCondition expression="itemPrice &gt; 1000000"/>
			</trigger>
			<trigger displayName="largeInstanceTrigger" id="largeInstanceTrigger" isRepeatable="true">
				<onTrigger ref="orderRegistrationListenerTR"/>
				<gatingCondition expression="itemPrice &gt; 1000000"/>
			</trigger>
			<outboundEvent displayName="largeInstanceOutboundEvent" id="largeInstanceOutboundEvent" extensionName="Alert" rootElement="cbe:CommonBaseEvent">
				<map>
					<trigger ref="largeInstanceTrigger"/>
					<outputValue>
						<assignments>
							<assignment leftValue="largeInstanceOutboundEvent/extendedData/BusinessSituationName" rightValue="'largeInstanceOutboundEvent'"/>
							<assignment leftValue="largeInstanceOutboundEvent/extendedData/value" rightValue="itemPrice "/>
						</assignments>
					</outputValue>
				</map>
			</outboundEvent>
			<metric displayName="Process Key" id="processKey" type="xsd:string" isPartOfKey="true">
				<map>
					<outputValue>
						<singleValue expression="ProcessStartedListener/extendedData/AEData/currentInstanceID" />
					</outputValue>
				</map>
			</metric>
			<stopwatch displayName="Process Elapsed Duration" id="processElapsedDuration" type="xsd:duration">
				<description>non-accumulating stopwatch</description>
				<startedWhen ref="//OrderItem/MDM/OrderItem_MC/processStartedTr" />
				<stoppedWhen ref="//OrderItem/MDM/OrderItem_MC/processCompletedTr" />
			</stopwatch>
			<metric displayName="Customer Name" id="customerName" type="xsd:string" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/customerName" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="'test'"></singleValue>
				</defaultValue>
			</metric>
			<metric displayName="Customer ID" id="customerID" type="xsd:integer" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/customerID" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0"/>
				</defaultValue>
			</metric>
			<metric displayName="Item Price" id="itemPrice" isSortable="false" type="xsd:decimal" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="decimal(OrderRegistrationListener/extendedData/OrderRegistrationData/itemPrice)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0"/>
				</defaultValue>
			</metric>
			<metric displayName="Is Customer Active" id="isCustomerActive" type="xsd:boolean" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/isCustomerActive" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="true()"/>
				</defaultValue>
			</metric>
			<metric displayName="Delivery Date" id="deliveryDate" type="xsd:date" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="date(OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryDate)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="date('2007-01-01')"/>
				</defaultValue>
			</metric>
			<metric displayName="Delivery Time" id="deliveryTime" type="xsd:time" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="time(OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryTime)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="time('00:00:00')"/>
				</defaultValue>
			</metric>
			<metric displayName="Delivery Duration" id="deliveryDuration" type="xsd:duration" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="dayTimeDuration(OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryDuration)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="dayTimeDuration('P0Y0M0DT0H0M1.000S')"/>
				</defaultValue>
			</metric>
			<metric displayName="Date Ordered" id="dateOrdered" type="xsd:dateTime" valueRequired="true">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem_MC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/dateOrdered" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="dateTime('2007-01-01T00:00:00')"/>
				</defaultValue>
			</metric>
			<metric displayName="Delivery City" id="deliveryCity" type="xsd:string" valueRequired="true">
				<map>
					<trigger ref="orderRegistrationListenerTR"></trigger>
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryCity"></singleValue>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="'Raleigh'"></singleValue>
				</defaultValue>
			</metric>
			<metric displayName="Delivery State" id="deliveryState" type="xsd:string" valueRequired="true">
				<map>
					<trigger ref="orderRegistrationListenerTR"></trigger>
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryState"></singleValue>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="'North Carolina'"></singleValue>
				</defaultValue>
			</metric>
			<counter displayName="Catalog Activity Counter" id="catalogActivityCounter" type="xsd:integer">
				<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/processStartedTr" />
				<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/processCompletedTr" />
			</counter>
			<stopwatch displayName="Accumulating Stopwatch" id="accumulatingStopwatch" type="xsd:duration" isAccumulated="true">
				<startedWhen ref="//OrderItem/MDM/OrderItem_MC/processStartedTr" />
				<stoppedWhen ref="//OrderItem/MDM/OrderItem_MC/processCompletedTr" />
			</stopwatch>
			<monitoringContext displayName="order_Movie" id="order_Movie">
				<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="order_MovieEventListener" id="order_MovieEventListener" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" extensionName="GenericInboundEvent">
					<correlationPredicate expression="order_MovieKey=order_MovieEventListener/extendedData/AEData/currentInstanceID and ../processKey = order_MovieEventListener/extendedData/AEData/parentInstanceID" />
					<filter expression="order_MovieEventListener/extendedData/AEData/monitoringModel='OrderItem' and order_MovieEventListener/extendedData/AEData/eventType='OrderMovie'" />
				</inboundEvent>
				<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="OrderMovieTaskCompletedListener" id="OrderMovieTaskCompletedListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ActivityCompleted">
					<correlationPredicate expression="OrderMovieTaskCompletedListener/extendedData/AEData/currentInstanceID=order_MovieKey" />
					<filter expression="OrderMovieTaskCompletedListener/extendedData/AEData/monitoringModel='OrderItem' and OrderMovieTaskCompletedListener/extendedData/AEData/eventType='OrderMovie'" />
				</inboundEvent>
				<trigger displayName="orderMovieTr" id="orderMovieTr" isRepeatable="true">
					<description>repeatable</description>
					<onEvent ref="//OrderItem/MDM/OrderItem_MC/order_Movie/order_MovieEventListener" />
				</trigger>
				<trigger displayName="orderMovieCompletedTr" id="orderMovieCompletedTr">
					<description>non-Repeatable</description>
					<onEvent ref="//OrderItem/MDM/OrderItem_MC/order_Movie/OrderMovieTaskCompletedListener" />
				</trigger>
				<trigger displayName="orderMovieEvalTimeTr3" id="orderMovieEvalTimeTr3">
					<evaluationTime days="0" hours="0" minutes="1" />
				</trigger>
				<trigger displayName="orderMovieEvalTimeTr1" id="orderMovieEvalTimeTr1">
					<evaluationTime days="0" hours="0" minutes="2" />
				</trigger>
				<metric displayName="order_MovieKey" id="order_MovieKey" type="xsd:string" isPartOfKey="true">
					<map>
						<outputValue>
							<singleValue expression="order_MovieEventListener/extendedData/AEData/currentInstanceID" />
						</outputValue>
					</map>
				</metric>
				<stopwatch displayName="orderMovieNonAccumulatingTimer" id="orderMovieNonAccumulatingTimer" type="xsd:duration">
					<startedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Movie/order_MovieEventListener" />
					<startedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Movie/OrderMovieTaskCompletedListener" />
				</stopwatch>
				<counter displayName="orderMovieCtr" id="orderMovieCtr" type="xsd:integer">
					<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Movie/order_MovieEventListener" />
					<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Movie/OrderMovieTaskCompletedListener" />
				</counter>
				<metric displayName="isOrderMovieComplete" id="isOrderMovieComplete" isSortable="true" type="xsd:boolean">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieCompletedTr" />
						<outputValue>
							<singleValue expression="true()" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="false()" />
					</defaultValue>
				</metric>
				<metric displayName="orderMovieCustomerID" id="orderMovieCustomerID" isSortable="true" type="xsd:integer" valueRequired="true">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieTr" />
						<outputValue>
							<singleValue expression="../customerID" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0" />
					</defaultValue>
				</metric>
				<metric displayName="orderMovieDeliveryDate" id="orderMovieDeliveryDate" isSortable="true" type="xsd:date">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieTr" />
						<outputValue>
							<singleValue expression="../deliveryDate" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderMovieDeliveryTime" id="orderMovieDeliveryTime" isSortable="true" type="xsd:time">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieTr" />
						<outputValue>
							<singleValue expression="../deliveryTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderMovieTimeStamp" id="orderMovieTimeStamp" isSortable="true" type="xsd:dateTime">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieTr" />
						<outputValue>
							<singleValue expression="order_MovieEventListener/extendedData/CreationTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderMovieDuration" id="orderMovieDuration" isSortable="true" type="xsd:duration">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieCompletedTr" />
						<outputValue>
							<singleValue expression="orderMovieNonAccumulatingTimer" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderMoviePrice" id="orderMoviePrice" isSortable="true" type="xsd:decimal">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Movie/orderMovieTr" />
						<outputValue>
							<singleValue expression="../itemPrice" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0.00" />
					</defaultValue>
				</metric>
			</monitoringContext>
			<monitoringContext displayName="order_Music" id="order_Music">
				<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="order_MusicEventListener" id="order_MusicEventListener" multipleCorrelationMatches="raiseException"	noCorrelationMatches="createNewContext"	oneCorrelationMatch="deliverEvent" extensionName="GenericInboundEvent">
					<correlationPredicate expression="order_MusicKey=order_MusicEventListener/extendedData/AEData/currentInstanceID and ../processKey = order_MusicEventListener/extendedData/AEData/parentInstanceID" />
					<filter	expression="order_MusicEventListener/extendedData/AEData/monitoringModel='OrderItem' and order_MusicEventListener/extendedData/AEData/eventType='OrderMusic'" />
				</inboundEvent>
				<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="OrderMusicTaskCompletedListener" id="OrderMusicTaskCompletedListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ActivityCompleted">
					<correlationPredicate expression="OrderMusicTaskCompletedListener/extendedData/AEData/currentInstanceID=order_MusicKey" />
					<filter	expression="OrderMusicTaskCompletedListener/extendedData/AEData/monitoringModel='OrderItem' and OrderMusicTaskCompletedListener/extendedData/AEData/eventType='OrderMusicCompleted'" />
				</inboundEvent>
				<trigger displayName="orderMusicTr" id="orderMusicTr" isRepeatable="true">
					<onEvent ref="//OrderItem/MDM/OrderItem_MC/order_Music/order_MusicEventListener" />
				</trigger>
				<trigger displayName="orderMusicCompletedTr" id="orderMusicCompletedTr">
					<onEvent ref="//OrderItem/MDM/OrderItem_MC/order_Music/OrderMusicTaskCompletedListener" />
				</trigger>
				<trigger displayName="orderMusicEvalTimeTr3" id="orderMusicEvalTimeTr3">
					<evaluationTime days="0" hours="0" minutes="1" />
				</trigger>
				<trigger displayName="orderMusicEvalTimeTr1" id="orderMusicEvalTimeTr1">
					<evaluationTime days="0" hours="0" minutes="2" />
				</trigger>
				<metric displayName="order_MusicKey" id="order_MusicKey" type="xsd:string" isPartOfKey="true">
					<map>
						<outputValue>
							<singleValue expression="order_MusicEventListener/extendedData/AEData/currentInstanceID" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderMusicPrice" id="orderMusicPrice" type="xsd:decimal">
					<defaultValue>
						<singleValue expression="0"/>
					</defaultValue>
				</metric>
				<metric displayName="orderMusicCustomerID" id="orderMusicCustomerID" type="xsd:integer" valueRequired="true">
					<defaultValue>
						<singleValue expression="0"/>
					</defaultValue>
				</metric>
				<stopwatch displayName="order_MusicDurationAccumulatingTimer" id="order_MusicDurationAccumulatingTimer" type="xsd:duration"	isAccumulated="true">
					<startedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Music/order_MusicEventListener" />
					<stoppedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Music/OrderMusicTaskCompletedListener" />
				</stopwatch>
				<counter displayName="orderMusicCtr" id="orderMusicCtr" type="xsd:integer">
					<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Music/order_MusicEventListener" />
					<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Music/OrderMusicTaskCompletedListener" />
				</counter>
				<stopwatch displayName="orderMusicNonAccumulatingTimer" id="orderMusicNonAccumulatingTimer" type="xsd:duration">
					<startedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Music/order_MusicEventListener" />
					<stoppedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Music/OrderMusicTaskCompletedListener" />
				</stopwatch>
			</monitoringContext>
			<monitoringContext displayName="order_Book"	id="order_Book">
				<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="order_BookEventListener" id="order_BookEventListener" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" extensionName="GenericInboundEvent">
					<correlationPredicate expression="order_BookKey=order_BookEventListener/extendedData/AEData/currentInstanceID and ../processKey = order_BookEventListener/extendedData/AEData/parentInstanceID" />
					<filter expression="order_BookEventListener/extendedData/AEData/monitoringModel='OrderItem' and order_BookEventListener/extendedData/AEData/eventType='OrderBook'" />
				</inboundEvent>
				<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="OrderBookTaskCompletedListener" id="OrderBookTaskCompletedListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ActivityCompleted">
					<correlationPredicate expression="OrderBookTaskCompletedListener/extendedData/AEData/currentInstanceID=order_BookKey" />
					<filter expression="OrderBookTaskCompletedListener/extendedData/AEData/monitoringModel='OrderItem' and OrderBookTaskCompletedListener/extendedData/AEData/eventType='OrderBookCompleted'" />
				</inboundEvent>
				<trigger displayName="OrderBookCompletedTr" id="OrderBookCompletedTr">
					<description>non-Repeatable</description>
					<onEvent ref="//OrderItem/MDM/OrderItem_MC/order_Book/OrderBookTaskCompletedListener" />
				</trigger>
				<trigger displayName="orderBookTr" id="orderBookTr" isRepeatable="true">
					<description>Repeatable</description>
					<onEvent ref="//OrderItem/MDM/OrderItem_MC/order_Book/order_BookEventListener" />
				</trigger>
				<trigger displayName="orderBookEvalTimeTr3" id="orderBookEvalTimeTr3">
					<evaluationTime days="0" hours="0" minutes="1" />
				</trigger>
				<trigger displayName="orderBookEvalTimeTr1" id="orderBookEvalTimeTr1">
					<evaluationTime days="0" hours="0" minutes="2" />
				</trigger>
				<metric displayName="order_BookKey" id="order_BookKey" type="xsd:string" isPartOfKey="true">
					<map>
						<outputValue>
							<singleValue expression="order_BookEventListener/extendedData/AEData/currentInstanceID" />
						</outputValue>
					</map>
				</metric>
				<stopwatch displayName="orderBooknonAccumulatingTimer" id="orderBooknonAccumulatingTimer" type="xsd:duration">
					<startedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Book/order_BookEventListener" />
					<startedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Book/OrderBookTaskCompletedListener" />
				</stopwatch>
				<counter displayName="bookOrderReceivedCtr" id="bookOrderReceivedCtr" type="xsd:integer">
					<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Book/order_BookEventListener" />
					<incrementedWhen ref="//OrderItem/MDM/OrderItem_MC/order_Book/OrderBookTaskCompletedListener" />
				</counter>
				<metric displayName="IsOrderComplete" id="IsOrderComplete" isSortable="true" type="xsd:boolean">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Book/OrderBookCompletedTr" />
						<outputValue>
							<singleValue expression="true()" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="false()" />
					</defaultValue>
				</metric>
				<metric displayName="orderBookPrice" id="orderBookPrice" isSortable="true" type="xsd:decimal">
					<map>
						<trigger ref="orderBookTr" />
						<outputValue>
							<singleValue expression="../itemPrice" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0.00" />
					</defaultValue>
				</metric>
				<metric displayName="orderBookTimeStamp" id="orderBookTimeStamp" isSortable="true" type="xsd:dateTime">
					<map>
						<trigger ref="//OrderItem/MDM/OrderItem_MC/order_Book/orderBookTr" />
						<outputValue>
							<singleValue expression="order_BookEventListener/extendedData/CreationTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderBookDeliveryDate" id="orderBookDeliveryDate" isSortable="true" type="xsd:date">
					<map>
						<trigger ref="orderBookTr" />
						<outputValue>
							<singleValue expression="../deliveryDate" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderBookDeliveryTime" id="orderBookDeliveryTime" isSortable="true" type="xsd:time">
					<map>
						<trigger ref="orderBookTr" />
						<outputValue>
							<singleValue expression="../deliveryTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="orderBookCustomerID" id="orderBookCustomerID" isSortable="true" type="xsd:integer" valueRequired="true">
					<map>
						<trigger ref="orderBookTr" />
						<outputValue>
							<singleValue expression="../customerID" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0" />
					</defaultValue>
				</metric>
			</monitoringContext>
		</monitoringContext>
		<monitoringContext displayName="OrderItem2ndMC" id="OrderItem2ndMC">
			<trigger displayName="processStartedTr"
				id="processStartedTr">
				<onEvent
					ref="//OrderItem/MDM/OrderItem2ndMC/ProcessStartedListener" />
			</trigger>
			<trigger displayName="processCompletedTr"
				id="processCompletedTr" isRepeatable="true">
				<onEvent ref="//OrderItem/MDM/OrderItem2ndMC/ProcessCompletedListener" />
			</trigger>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="ProcessCompletedListener" id="ProcessCompletedListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ProcessCompleted">
				<correlationPredicate expression="processKey=ProcessCompletedListener/extendedData/AEData/currentInstanceID" />
				<filter	expression="ProcessCompletedListener/extendedData/AEData/monitoringModel='OrderItem' and ProcessCompletedListener/extendedData/AEData/eventType='ProcessCompleted'" />
			</inboundEvent>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="ProcessStartedListener" id="ProcessStartedListener" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" extensionName="ProcessStarted">
				<correlationPredicate expression="processKey=ProcessStartedListener/extendedData/AEData/currentInstanceID" />
				<filter expression="ProcessStartedListener/extendedData/AEData/monitoringModel='OrderItem' and ProcessStartedListener/extendedData/AEData/eventType='ProcessStarted'" />
			</inboundEvent>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="OrderRegistrationListener" id="OrderRegistrationListener" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="OrderRegistration">
				<correlationPredicate expression="processKey=OrderRegistrationListener/extendedData/AEData/currentInstanceID" />
				<filter expression="OrderRegistrationListener/extendedData/AEData/monitoringModel='OrderItem' and OrderRegistrationListener/extendedData/AEData/eventType='OrderRegistration'" />
			</inboundEvent>
			<inboundEvent rootElement="cbe:CommonBaseEvent" displayName="ProcessTerminatedListener" id="ProcessTerminatedListener"
				multipleCorrelationMatches="deliverToAll" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" extensionName="ProcessTerminated">
				<correlationPredicate expression="processKey=ProcessTerminatedListener/extendedData/AEData/currentInstanceID" />
				<filter expression="ProcessTerminatedListener/extendedData/AEData/monitoringModel='OrderItem' and ProcessTerminatedListener/extendedData/AEData/eventType='ProcessTerminated'" />
			</inboundEvent>
			<trigger displayName="orderRegistrationListenerTR" id="orderRegistrationListenerTR">
				<onEvent ref="//OrderItem/MDM/OrderItem2ndMC/OrderRegistrationListener" />
			</trigger>
			<trigger displayName="processTerminatedTr" id="processTerminatedTr" terminateContext="true">
				<onEvent ref="ProcessTerminatedListener" />
			</trigger>
			<metric displayName="processKey" id="processKey" type="xsd:string" isPartOfKey="true">
				<map>
					<outputValue>
						<singleValue expression="ProcessStartedListener/extendedData/AEData/currentInstanceID" />
					</outputValue>
				</map>
			</metric>
			<stopwatch displayName="processElapsedDuration" id="processElapsedDuration" type="xsd:duration">
				<description>non-accumulating stopwatch</description>
				<startedWhen ref="//OrderItem/MDM/OrderItem2ndMC/processStartedTr" />
				<stoppedWhen ref="//OrderItem/MDM/OrderItem2ndMC/processCompletedTr" />
			</stopwatch>
			<metric displayName="customerName" id="customerName" type="xsd:string">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/customerName" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''"/>
				</defaultValue>
			</metric>
			<metric displayName="customerID" id="customerID" type="xsd:integer">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/customerID" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0"/>
				</defaultValue>
			</metric>
			<metric displayName="itemPrice" id="itemPrice" isSortable="false" type="xsd:decimal">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="decimal(OrderRegistrationListener/extendedData/OrderRegistrationData/itemPrice)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0"/>
				</defaultValue>
			</metric>
			<metric displayName="isCustomerActive" id="isCustomerActive" type="xsd:boolean">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/isCustomerActive" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="true()"/>
				</defaultValue>
			</metric>
			<metric displayName="deliveryDate" id="deliveryDate" type="xsd:date">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="date(OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryDate)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="date('2007-01-01')"/>
				</defaultValue>
			</metric>
			<metric displayName="deliveryTime" id="deliveryTime" type="xsd:time">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="time(OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryTime)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="time('00:00:00')"/>
				</defaultValue>
			</metric>
			<metric displayName="deliveryDuration" id="deliveryDuration" type="xsd:duration">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="xs:dayTimeDuration(OrderRegistrationListener/extendedData/OrderRegistrationData/deliveryDuration)" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="dayTimeDuration('P0DT0H0M0.000S')"/>
				</defaultValue>
			</metric>
			<metric displayName="dateOrdered" id="dateOrdered" type="xsd:dateTime">
				<map>
					<trigger ref="//OrderItem/MDM/OrderItem2ndMC/orderRegistrationListenerTR" />
					<outputValue>
						<singleValue expression="OrderRegistrationListener/extendedData/OrderRegistrationData/dateOrdered" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="dateTime('2007-01-01T00:00:00')"/>
				</defaultValue>
			</metric>
			<counter displayName="catalogActivityCounter" id="catalogActivityCounter" type="xsd:integer">
				<incrementedWhen ref="//OrderItem/MDM/OrderItem2ndMC/processStartedTr" />
				<incrementedWhen ref="//OrderItem/MDM/OrderItem2ndMC/processCompletedTr" />
			</counter>
			<stopwatch displayName="accumulatingStopwatch" id="accumulatingStopwatch" type="xsd:duration" isAccumulated="true">
				<startedWhen ref="//OrderItem/MDM/OrderItem2ndMC/processStartedTr" />
				<stoppedWhen ref="//OrderItem/MDM/OrderItem2ndMC/processCompletedTr" />
			</stopwatch>
		</monitoringContext>		
	</monitorDetailsModel>
	<kpiModel id="KM">

		<kpiContext displayName="FunctionKPIs" id="FunctionKPIs">
			
			<kpi rangeType="actualValue" displayName="Avg Order Price" id="avgPrice" type="xsd:decimal" enableKpiHistory="true" currency="USD">
				<description>avgOrderPrice</description>
				<aggregatedDefinition aggregationType="avg" versionAggregation="singleVersion">
				    <monitoringContext ref="OrderItem_MC"/>	
					<metric ref="itemPrice"/>
				</aggregatedDefinition>
				<target value="20000" id="target" displayName="target">
					<description>Target description</description>
				</target>
				<range id="range1" displayName="Low" color="CC0000">
					<description>range1 description</description>
					<startValue value="0" id="startValue" displayName="startValue">
						<description>startValue description</description>
					</startValue>
					<endValue value="10000" id="endValue" displayName="endValue">
						<description>endValueDescription</description>
					</endValue>
				</range>
				<range id="range2" displayName="Medium" color="FFFF00">
					<description>range2 description</description>
					<startValue value="10000" id="startValue" displayName="startValue">
						<description>startValue description</description>
					</startValue>
					<endValue value="20000" id="endValue" displayName="endValue">
						<description>endValueDescription</description>
					</endValue>
				</range>
				<range id="range3" displayName="High" color="339900">
					<description>range3 description</description>
					<startValue value="20000" id="startValue" displayName="startValue">
						<description>startValue description</description>
					</startValue>
					<endValue value="40000" id="endValue" displayName="endValue">
						<description>endValueDescription</description>
					</endValue>
				</range>				
			</kpi>

		</kpiContext>
		
		<kpiContext displayName="TimePeriodKPIs" id="TimePeriodKPIs">
			
			<kpi rangeType="actualValue" displayName="Sum Price Today" id="SumPriceToday" type="xsd:decimal" enableKpiHistory="true" currency="USD">
				<aggregatedDefinition aggregationType="sum" versionAggregation="singleVersion">
				    <monitoringContext ref="OrderItem_MC" />	
					<metric ref="itemPrice" />
					<dateTimeMetricFilter ref="dateOrdered">
						<repeatingPeriod periodType="daily" periodBasis="periodInProgress" timezone="America/New_York" />
					</dateTimeMetricFilter>								
				</aggregatedDefinition>
				<target displayName="Target" id="Target" value="20000">
					<description></description>
				</target>
				<range displayName="Low" id="Low" color="ff8080">
					<startValue displayName="startValue" id="startValue" value="0"></startValue>
					<endValue displayName="endValue" id="endValue" value="10000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Medium" id="My_Range" color="ffff80">
					<startValue displayName="startValue" id="startValue" value="10000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="20000">
						<description></description>
					</endValue>
				</range>
				<range displayName="High" id="High" color="80ff80">
					<startValue displayName="startValue" id="startValue" value="20000"></startValue>
					<endValue displayName="endValue" id="endValue" value="30000"></endValue>
				</range>
			</kpi>


		</kpiContext>

	</kpiModel>
	<dimensionalModel displayName="OrderItem DMM" id="DMM">  
		<cube displayName="OrderItem MC Cube" id="OrderItem_MC_Cube" monitoringContext="//OrderItem/MDM/OrderItem_MC">
			<measure displayName="Avg Price" id="avgPrice" aggregationType="avg" source="itemPrice" trackingKey="avgPrice"></measure>
			<measure displayName="Avg Customer ID" id="avgCustomerID" aggregationType="avg" source="customerID" trackingKey="avgCustomerID"></measure>
			<measure displayName="Avg Delivery Duration" id="avgDeliveryDuration" aggregationType="avg" source="deliveryDuration" trackingKey="avgDeliveryDuration"></measure>
			<measure displayName="Avg Catalog Activity Counter" id="avgCatalogActivityCounter" aggregationType="avg" source="catalogActivityCounter" trackingKey="avgCatalogActivityCounter"></measure>
			<measure displayName="Avg Accumulating Stopwatch" id="avgAccumulatingStopwatch" aggregationType="avg" source="accumulatingStopwatch" trackingKey="avgAccumulatingStopwatch"></measure>
			<measure displayName="Avg Process Elapsed Duration" id="avgProcessElapsedDuration" aggregationType="avg" source="processElapsedDuration" trackingKey="avgProcessElapsedDuration"></measure>
			
			<measure displayName="Sum Price" id="sumPrice" aggregationType="sum" source="itemPrice" trackingKey="sumPrice"></measure>
			<measure displayName="Sum Customer ID" id="sumCustomerID" aggregationType="sum" source="customerID" trackingKey="sumCustomerID"></measure>
			<measure displayName="Sum Delivery Duration" id="sumDeliveryDuration" aggregationType="sum" source="deliveryDuration" trackingKey="sumDeliveryDuration"></measure>
			<measure displayName="Sum Catalog Activity Counter" id="sumCatalogActivityCounter" aggregationType="sum" source="catalogActivityCounter" trackingKey="sumCatalogActivityCounter"></measure>
			<measure displayName="Sum Accumulating Stopwatch" id="sumAccumulatingStopwatch" aggregationType="sum" source="accumulatingStopwatch" trackingKey="sumAccumulatingStopwatch"></measure>
			<measure displayName="Sum Process Elapsed Duration" id="sumProcessElapsedDuration" aggregationType="sum" source="processElapsedDuration" trackingKey="sumProcessElapsedDuration"></measure>
			
			<measure displayName="Min Price" id="minPrice" aggregationType="min" source="itemPrice" trackingKey="minPrice"></measure>
			<measure displayName="Min Customer ID" id="minCustomerID" aggregationType="min" source="customerID" trackingKey="minCustomerID"></measure>
			<measure displayName="Min Delivery Duration" id="minDeliveryDuration" aggregationType="min" source="deliveryDuration" trackingKey="minDeliveryDuration"></measure>
			<measure displayName="Min Delivery Date" id="minDeliveryDate" aggregationType="min" source="deliveryDate" trackingKey="minDeliveryDate"></measure>
			<measure displayName="Min Delivery Time" id="minDeliveryTime" aggregationType="min" source="deliveryTime" trackingKey="minDeliveryTime"></measure>
			<measure displayName="Min Date Ordered" id="minDateOrdered" aggregationType="min" source="dateOrdered" trackingKey="minDateOrdered"></measure>
			<measure displayName="Min Catalog Activity Counter" id="minCatalogActivityCounter" aggregationType="min" source="catalogActivityCounter" trackingKey="minCatalogActivityCounter"></measure>
			<measure displayName="Min Accumulating Stopwatch" id="minAccumulatingStopwatch" aggregationType="min" source="accumulatingStopwatch" trackingKey="minAccumulatingStopwatch"></measure>
			<measure displayName="Min Process Elapsed Duration" id="minProcessElapsedDuration" aggregationType="min" source="processElapsedDuration" trackingKey="minProcessElapsedDuration"></measure>
			
			<measure displayName="Max Price" id="maxPrice" aggregationType="max" source="itemPrice" trackingKey="maxPrice"></measure>
			<measure displayName="Max Customer ID" id="maxCustomerID" aggregationType="max" source="customerID" trackingKey="maxCustomerID"></measure>
			<measure displayName="Max Delivery Duration" id="maxDeliveryDuration" aggregationType="max" source="deliveryDuration" trackingKey="maxDeliveryDuration"></measure>
			<measure displayName="Max Delivery Date" id="maxDeliveryDate" aggregationType="max" source="deliveryDate" trackingKey="maxDeliveryDate"></measure>
			<measure displayName="Max Delivery Time" id="maxDeliveryTime" aggregationType="max" source="deliveryTime" trackingKey="maxDeliveryTime"></measure>
			<measure displayName="Max Date Ordered" id="maxDateOrdered" aggregationType="max" source="dateOrdered" trackingKey="maxDateOrdered"></measure>
			<measure displayName="Max Catalog Activity Counter" id="maxCatalogActivityCounter" aggregationType="max" source="catalogActivityCounter" trackingKey="maxCatalogActivityCounter"></measure>
			<measure displayName="Max Accumulating Stopwatch" id="maxAccumulatingStopwatch" aggregationType="max" source="accumulatingStopwatch" trackingKey="maxAccumulatingStopwatch"></measure>
			<measure displayName="Max Process Elapsed Duration" id="maxProcessElapsedDuration" aggregationType="max" source="processElapsedDuration" trackingKey="maxProcessElapsedDuration"></measure>
			
			<measure displayName="Count Price" id="countPrice" aggregationType="count" source="itemPrice" trackingKey="countPrice"></measure>
			<measure displayName="Count Customer ID" id="countCustomerID" aggregationType="count" source="customerID" trackingKey="countCustomerID"></measure>
			<measure displayName="Count Customer Name" id="countCustomerName" aggregationType="count" source="customerName" trackingKey="countCustomerName"></measure>
			<measure displayName="Count Delivery Duration" id="countDeliveryDuration" aggregationType="count" source="deliveryDuration" trackingKey="countDeliveryDuration"></measure>
			<measure displayName="Count Delivery Date" id="countDeliveryDate" aggregationType="count" source="deliveryDate" trackingKey="countDeliveryDate"></measure>
			<measure displayName="Count Delivery Time" id="countDeliveryTime" aggregationType="count" source="deliveryTime" trackingKey="countDeliveryTime"></measure>
			<measure displayName="Count Date Ordered" id="countDateOrdered" aggregationType="count" source="dateOrdered" trackingKey="countDateOrdered"></measure>
			<measure displayName="Count Is Customer Active" id="countIsCustomerActive" aggregationType="count" source="isCustomerActive" trackingKey="countIsCustomerActive"></measure>
			<measure displayName="Count Catalog Activity Counter" id="countCatalogActivityCounter" aggregationType="count" source="catalogActivityCounter" trackingKey="countCatalogActivityCounter"></measure>
			<measure displayName="Count Accumulating Stopwatch" id="countAccumulatingStopwatch" aggregationType="count" source="accumulatingStopwatch" trackingKey="countAccumulatingStopwatch"></measure>
			<measure displayName="Count Process Elapsed Duration" id="countProcessElapsedDuration" aggregationType="count" source="processElapsedDuration" trackingKey="countProcessElapsedDuration"></measure>

			<measure displayName="Stddev Price" id="stddevPrice" aggregationType="stddev" source="/OrderItem/MDM/OrderItem_MC/itemPrice"></measure>
			<measure displayName="Stddev Customer Id" id="stddevCustomerId" aggregationType="stddev" source="/OrderItem/MDM/OrderItem_MC/customerID"></measure>
			<measure displayName="Stddev Delivery Duration" id="stddevDeliveryDuration" aggregationType="stddev" source="/OrderItem/MDM/OrderItem_MC/deliveryDuration"></measure>

			<dimension displayName="Customer Name" id="CustomerName">
				<attribute displayName="Customer Name" id="CustomerName" attributeSource="//OrderItem/MDM/OrderItem_MC/customerName" level="1" />
			</dimension>
			<dimension displayName="Delivery Duration" id="DeliveryDuration">
				<attribute displayName="Delivery Duration" id="DeliveryDuration" attributeSource="//OrderItem/MDM/OrderItem_MC/deliveryDuration" level="1" />
			</dimension>
			<dimension displayName="Delivery Date" id="DeliveryDate">
				<attribute displayName="delivery Date" id="deliveryDate" level="1" attributeSource="deliveryDate"></attribute>
			</dimension>
			<dimension displayName="Date Ordered" id="DateOrdered">
				<attribute displayName="date Ordered" id="dateOrdered" level="1" attributeSource="dateOrdered"></attribute>
			</dimension>
			<dimension displayName="Customer Id" id="CustomerId">
				<attribute displayName="customer ID" id="customerID" level="1" attributeSource="customerID"></attribute>
			</dimension>
			<dimension displayName="Is Customer Active" id="isCustomerActive">
				<attribute displayName="isCustomer Active" id="isCustomerActive" level="1" attributeSource="isCustomerActive"></attribute>
			</dimension>
			<dimension displayName="Item Price" id="ItemPrice">
				<attribute displayName="item Price" id="itemPrice" level="1" attributeSource="itemPrice"></attribute>
			</dimension>
			<dimension displayName="Catalog Activity Counter" id="CatalogActivityCounter">
				<attribute displayName="catalog Activity Counter" id="catalogActivityCounter" level="1" attributeSource="catalogActivityCounter"></attribute>
			</dimension>
			<dimension displayName="Delivery Time" id="DeliveryTime">
				<attribute displayName="delivery Time" id="deliveryTime" level="1" attributeSource="deliveryTime"></attribute>
			</dimension>
			
			<dimension displayName="Complex Dimension" id="ComplexDimension">
				<attribute displayName="Customer Name" id="CustomerName" attributeSource="//OrderItem/MDM/OrderItem_MC/customerName" level="1" />
				<attribute displayName="customer ID" id="customerID" level="2" attributeSource="customerID"></attribute>
				<attribute displayName="Delivery Duration" id="DeliveryDuration" attributeSource="//OrderItem/MDM/OrderItem_MC/deliveryDuration" level="3" />
				<attribute displayName="is Customer Active" id="isCustomerActive" level="4" attributeSource="isCustomerActive"></attribute>
				<attribute displayName="item Price" id="itemPrice" level="5" attributeSource="itemPrice"></attribute>
			</dimension>
			
			<dimension displayName="Delivery Location" id="DeliveryLocation">
				<attribute displayName="Delivery State" id="DeliveryState" attributeSource="//OrderItem/MDM/OrderItem_MC/deliveryState" level="1" />
				<attribute displayName="Delivery City" id="DeliveryCity" attributeSource="//OrderItem/MDM/OrderItem_MC/deliveryCity" level="2" />
			</dimension>			
			
			
		</cube>

		<cube displayName="order_Movie Cube" id="order_Movie_Cube_1" monitoringContext="//OrderItem/MDM/OrderItem_MC/order_Movie">
			<measure displayName="Price" id="Price" aggregationType="avg" source="orderMoviePrice" trackingKey="Price2"></measure>
			<dimension displayName="CustomerID" id="CustomerID">
				<attribute displayName="customerID" id="customerID" level="1" attributeSource="orderMovieCustomerID"></attribute>
			</dimension>
		</cube>
		<cube displayName="order_Music Cube" id="order_Music_Cube_1" monitoringContext="//OrderItem/MDM/OrderItem_MC/order_Music">
			<measure displayName="Price" id="Price" aggregationType="avg" source="orderMusicPrice" trackingKey="Price3"></measure>
			<dimension displayName="CustomerID" id="CustomerID">
				<attribute displayName="customerID" id="customerID" level="1" attributeSource="orderMusicCustomerID"></attribute>
			</dimension>
		</cube>
		<cube displayName="order_Book Cube" id="order_Book_Cube_1" monitoringContext="//OrderItem/MDM/OrderItem_MC/order_Book">
			<measure displayName="Price" id="Price" aggregationType="avg" source="orderBookPrice" trackingKey="Price4"></measure>
			<dimension displayName="CustomerID" id="CustomerID">
				<attribute displayName="customerID" id="customerID" level="1" attributeSource="orderBookCustomerID"></attribute>
			</dimension>
		</cube>
	</dimensionalModel>
	<visualModel id="VM">
		<visualization context="MDM/OrderItem_MC">
            <shapeSets>
                <shapeSet displayName="test0001 (TaskNode)" id="test0001">
                    <shapes>1350 </shapes>
                </shapeSet>
                <shapeSet displayName="test0002 (TaskNode)" id="test0002">
                    <shapes>1349 </shapes>
                </shapeSet>
                <shapeSet displayName="test0003 (TaskNode)" id="test0003">
                    <shapes>1348 </shapes>
                </shapeSet>
                <shapeSet displayName="test0004 (TaskNode)" id="test0004">
                    <shapes>1347 </shapes>
                </shapeSet>
                <shapeSet displayName="test0005 (TaskNode)" id="test0005">
                    <shapes>1346 </shapes>
                </shapeSet>
                <shapeSet displayName="test0006 (TaskNode)" id="test0006">
                    <shapes>1345 </shapes>
                </shapeSet>
                <shapeSet displayName="test0007 (TaskNode)" id="test0007">
                    <shapes>1344 </shapes>
                </shapeSet>
                <shapeSet displayName="test0008 (TaskNode)" id="test0008">
                    <shapes>1343 </shapes>
                </shapeSet>
                <shapeSet displayName="test0009 (TaskNode)" id="test0009">
                    <shapes>1342 </shapes>
                </shapeSet>
                <shapeSet displayName="test0010 (TaskNode)" id="test0010">
                    <shapes>1341 </shapes>
                </shapeSet>
                <shapeSet displayName="test0011 (TaskNode)" id="test0011">
                    <shapes>1340 </shapes>
                </shapeSet>
                <shapeSet displayName="test0012 (TaskNode)" id="test0012">
                    <shapes>1339 </shapes>
                </shapeSet>
                <shapeSet displayName="test0013 (TaskNode)" id="test0013">
                    <shapes>1338 </shapes>
                </shapeSet>
                <shapeSet displayName="test0014 (TaskNode)" id="test0014">
                    <shapes>1337 </shapes>
                </shapeSet>
                <shapeSet displayName="test0015 (TaskNode)" id="test0015">
                    <shapes>1336 </shapes>
                </shapeSet>
                <shapeSet displayName="test0016 (TaskNode)" id="test0016">
                    <shapes>1335 </shapes>
                </shapeSet>
                <shapeSet displayName="test0017 (TaskNode)" id="test0017">
                    <shapes>1334 </shapes>
                </shapeSet>
                <shapeSet displayName="test0018 (TaskNode)" id="test0018">
                    <shapes>1333 </shapes>
                </shapeSet>
                <shapeSet displayName="test0019 (TaskNode)" id="test0019">
                    <shapes>1332 </shapes>
                </shapeSet>
                <shapeSet displayName="test0020 (TaskNode)" id="test0020">
                    <shapes>1331 </shapes>
                </shapeSet>
                <shapeSet displayName="top label for test0001" id="test0001_top_label">
                    <shapes>900 </shapes>
                </shapeSet> 
                <shapeSet displayName="top label for test0002" id="test0002_top_label">
                    <shapes>898 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0003" id="test0003_top_label">
                    <shapes>896 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0004" id="test0004_top_label">
                    <shapes>894 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0005" id="test0005_top_label">
                    <shapes>892 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0006" id="test0006_top_label">
                    <shapes>890 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0007" id="test0007_top_label">
                    <shapes>888 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0008" id="test0008_top_label">
                    <shapes>886 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0009" id="test0009_top_label">
                    <shapes>884 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0010" id="test0010_top_label">
                    <shapes>882 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0011" id="test0011_top_label">
                    <shapes>880 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0012" id="test0012_top_label">
                    <shapes>878 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0013" id="test0013_top_label">
                    <shapes>876 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0014" id="test0014_top_label">
                    <shapes>874 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0015" id="test0015_top_label">
                    <shapes>872 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0016" id="test0016_top_label">
                    <shapes>870 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0017" id="test0017_top_label">
                    <shapes>868 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0018" id="test0018_top_label">
                    <shapes>866 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0019" id="test0019_top_label">
                    <shapes>864 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test0020" id="test0020_top_label">
                    <shapes>862 </shapes>
                </shapeSet>
                                                                                                                                                                                                                                                                                                                                                                           
            </shapeSets>		
            <actions>
                <setText textValue="customerID">
                    <shapeSet ref="test0001_top_label"/>
                </setText>
                <setText textValue="customerName">
                    <shapeSet ref="test0002_top_label"/>
                </setText>
                <setText textValue="dateOrdered">
                    <shapeSet ref="test0003_top_label"/>
                </setText>
                <setText textValue="deliveryDate">
                    <shapeSet ref="test0004_top_label"/>
                </setText>
                <setText textValue="deliveryDuration">
                    <shapeSet ref="test0005_top_label"/>
                </setText>
                <setText textValue="deliveryTime">
                    <shapeSet ref="test0006_top_label"/>
                </setText>
                <setText textValue="isCustomerActive">
                    <shapeSet ref="test0007_top_label"/>
                </setText>
                <setText textValue="itemPrice">
                    <shapeSet ref="test0008_top_label"/>
                </setText>
                <setText textValue="catalogActivityCounter">
                    <shapeSet ref="test0009_top_label"/>
                </setText>
                <setText textValue="accumulatingStopwatch">
                    <shapeSet ref="test0010_top_label"/>
                </setText>
                <setText textValue="processElapsedDuration">
                    <shapeSet ref="test0011_top_label"/>
                </setText>
                <setDiagramLink targetContext="/OrderItem/KM/FunctionKPIs">
                	<shapeSet ref="test0001"/>
                </setDiagramLink>
            </actions>            
			<svgDocument>
				<import location="/OrderItem/_XPath20Test_Business_Measures_MDM_XPath20Test_MC.svg"/>
			</svgDocument>
		</visualization>
		<visualization context="KM/FunctionKPIs">
            <shapeSets>
                <shapeSet displayName="test2_0001 (TaskNode)" id="test2_0001">
                    <shapes>1350 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0002 (TaskNode)" id="test2_0002">
                    <shapes>1349 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0003 (TaskNode)" id="test2_0003">
                    <shapes>1348 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0004 (TaskNode)" id="test2_0004">
                    <shapes>1347 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0005 (TaskNode)" id="test2_0005">
                    <shapes>1346 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0006 (TaskNode)" id="test2_0006">
                    <shapes>1345 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0007 (TaskNode)" id="test2_0007">
                    <shapes>1344 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0008 (TaskNode)" id="test2_0008">
                    <shapes>1343 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0009 (TaskNode)" id="test2_0009">
                    <shapes>1342 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0010 (TaskNode)" id="test2_0010">
                    <shapes>1341 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0011 (TaskNode)" id="test2_0011">
                    <shapes>1340 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0012 (TaskNode)" id="test2_0012">
                    <shapes>1339 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0013 (TaskNode)" id="test2_0013">
                    <shapes>1338 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0014 (TaskNode)" id="test2_0014">
                    <shapes>1337 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0015 (TaskNode)" id="test2_0015">
                    <shapes>1336 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0016 (TaskNode)" id="test2_0016">
                    <shapes>1335 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0017 (TaskNode)" id="test2_0017">
                    <shapes>1334 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0018 (TaskNode)" id="test2_0018">
                    <shapes>1333 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0019 (TaskNode)" id="test2_0019">
                    <shapes>1332 </shapes>
                </shapeSet>
                <shapeSet displayName="test2_0020 (TaskNode)" id="test2_0020">
                    <shapes>1331 </shapes>
                </shapeSet>
                <shapeSet displayName="top label for test2_0001" id="test2_0001_top_label">
                    <shapes>900 </shapes>
                </shapeSet> 
                <shapeSet displayName="top label for test2_0002" id="test2_0002_top_label">
                    <shapes>898 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0003" id="test2_0003_top_label">
                    <shapes>896 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0004" id="test2_0004_top_label">
                    <shapes>894 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0005" id="test2_0005_top_label">
                    <shapes>892 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0006" id="test2_0006_top_label">
                    <shapes>890 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0007" id="test2_0007_top_label">
                    <shapes>888 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0008" id="test2_0008_top_label">
                    <shapes>886 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0009" id="test2_0009_top_label">
                    <shapes>884 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0010" id="test2_0010_top_label">
                    <shapes>882 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0011" id="test2_0011_top_label">
                    <shapes>880 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0012" id="test2_0012_top_label">
                    <shapes>878 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0013" id="test2_0013_top_label">
                    <shapes>876 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0014" id="test2_0014_top_label">
                    <shapes>874 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0015" id="test2_0015_top_label">
                    <shapes>872 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0016" id="test2_0016_top_label">
                    <shapes>870 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0017" id="test2_0017_top_label">
                    <shapes>868 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0018" id="test2_0018_top_label">
                    <shapes>866 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0019" id="test2_0019_top_label">
                    <shapes>864 </shapes>
                </shapeSet>       
                <shapeSet displayName="top label for test2_0020" id="test2_0020_top_label">
                    <shapes>862 </shapes>
                </shapeSet>
                                                                                                                                                                                                                                                                                                                                                                           
            </shapeSets>		
            <actions>
                <setText textValue="avgPrice">
                    <shapeSet ref="test2_0001_top_label"/>
                </setText>
                <setDiagramLink targetContext="/OrderItem/MDM/OrderItem_MC">
                	<shapeSet ref="test2_0001"/>
                </setDiagramLink>
            </actions>		
			<svgDocument>
				<import location="/OrderItem/_XPath20Test_Business_Measures_KM_XPath20Test_KC.svg"/>
			</svgDocument>
		</visualization>
	</visualModel>	
	<eventModel id="EM">
	  	<import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
		<import location="/OrderItem/aeevents/AEBase.cbe" />
		<import location="/OrderItem/aeevents/PayLoad.cbe" />
		<import location="/OrderItem/aeevents/ProcessStarted.cbe" />
		<import location="/OrderItem/aeevents/ProcessCompleted.cbe" />
		<import location="/OrderItem/aeevents/ActivityStarted.cbe" />
		<import location="/OrderItem/aeevents/OrderRegistration.cbe" />
		<import location="/OrderItem/aeevents/GenericInboundEvent.cbe" />
		<import location="/OrderItem/aeevents/RepeatingEvent.cbe" />
		<import location="/OrderItem/aeevents/ActivityCompleted.cbe" />
		<import location="/OrderItem/aeevents/ProcessTerminated.cbe" />
		<import location="/OrderItem/baseEvents/CommonBaseEvent.cbe"/>
		<import location="/OrderItem/ActionServicesEvent.cbe"/>
		<import location="/OrderItem/Alert.cbe"/>
	</eventModel>
</mm:monitor>