package com.cost.functions;
import static java.lang.Math.random;
import com.ibm.wbimonitor.xml.expression.udf.XPathFunction;
import com.ibm.wbimonitor.xml.expression.udf.XPathType;
import java.math.BigInteger;
import java.math.BigDecimal;

public class CostFunctions {

	public static final String NAMESPACE = "http://cost.functions.com/expression";
	/** Calculate the cost from an external source */
	public static
	@XPathFunction(
    		namespaceName = NAMESPACE, 
    		localName = "cost1", 
    		description = "calculate the cost based on task duration days",
    		isDeterministic = true, 
    		isSelfContained = true,
    		callingConvention=XPathFunction.CallingConvention.JAXB
            )
	BigDecimal cost1(BigInteger numberDays) {
		// here you could get the cost from a database, 
		// but we use a random function for simplicity for this example.
		// random returns a double between 0 and 1.
		return new BigDecimal(numberDays.doubleValue() * (random() * 10));  
	}
	
	public static
	@XPathFunction(
    		namespaceName = NAMESPACE, 
    		localName = "cost2",
    		description = "calculate cost2",
    		isDeterministic = true, 
    		isSelfContained = true,
    		callingConvention=XPathFunction.CallingConvention.JAXB
            )
	BigDecimal cost2(BigDecimal n) {
		return new BigDecimal(20);
	}
}