/*
   Licensed Materials - Property of IBM
   5724-M22, 5724-M23, 5724-M24, 5724-L01, 5724-R31
   Copyright IBM Corporation 2007, 2008. All Rights Reserved.
   US Government Users Restricted Rights- Use, duplication or disclosure
   restricted by GSA ADP Schedule Contract with IBM Corp.
*/

dojo.provide("com.ibm.bspace.common.util.widget.BSpaceCommonUtilityLoader"); 

dojo.declare("com.ibm.bspace.common.util.widget.BSpaceCommonUtilityLoader", null, {
	BSPACE_SERVER_URI: "/BusinessSpace/", 
	
	UTILITY_MAP: {
		"com.ibm.bspace.common.util.widget.BSpaceEditButtonPanel": {
			uri: "com/ibm/bspace/common/util/widget/BSpaceEditButtonPanel.js"
		}, 
		
		"com.ibm.bspace.common.util.widget.BSpaceDialogs": {
			uri: "com/ibm/bspace/common/util/widget/BSpaceDialogs.js"
		}, 

		"com.ibm.bspace.common.util.widget.BSpaceGeneralHelper": {
			uri: "com/ibm/bspace/common/util/widget/BSpaceGeneralHelper.js", 
			action: function(){
				dojo.mixin(this, new com.ibm.bspace.common.util.widget.BSpaceGeneralHelper());
				if ((typeof this._replaceInternalIWidgetFireEvent != 'undefined') && (this._replaceInternalIWidgetFireEvent != null) && (typeof this._replaceInternalIWidgetFireEvent == 'function')) {
					this._replaceInternalIWidgetFireEvent();
				}
			}
		},
		
		"com.ibm.bspace.common.util.widget.BSpaceWidgetRegistry": {
			uri: "com/ibm/bspace/common/util/widget/BSpaceWidgetRegistry.js", 
			action: function(){
				dojo.mixin(this, new com.ibm.bspace.common.util.widget.BSpaceWidgetRegistry()); 
			}
		},
		
		"com.ibm.bspace.common.util.widget.AttachmentContainer": {
			uri: "com/ibm/bspace/common/util/widget/AttachmentContainer.js",
			action: function(){
				dojo.mixin(this, new com.ibm.bspace.common.util.AttachmentUtils()); 
			}
		},
		
		"com.ibm.bspace.common.util.ui.Helper": {
			uri: null,
			action: function(){
				com.ibm.bspace.common.util.ui.Helper.loadStyleSheet();
			}
		}
	}, 
	
	require: function(utilityName, options, useDojo){
		dojo.registerModulePath("com.ibm.bspace.common.util.widget", this.iContext.io.rewriteURI(this.BSPACE_SERVER_URI+"com/ibm/bspace/common/util/widget"));	
		dojo.registerModulePath("com.ibm.bspace.common.util.ui", this.iContext.io.rewriteURI(this.BSPACE_SERVER_URI+"com/ibm/bspace/common/util/ui"));	
		var uri = this.getURI(utilityName);		
		if (!uri || useDojo){
			// if we can't find a URI in the UTILITY.MAP or if the user has
			// requested a Dojo synchronous load, use dojo.requires
			dojo.require(utilityName);
		}else{
			if(!options){
				this.iContext.requires(utilityName, null, uri); 
			}else{
				this.iContext.requires(utilityName, options.version, uri, options.callback, options.mimeType)
			}	
		}
		if (this.UTILITY_MAP[utilityName]){
			var action = this.UTILITY_MAP[utilityName].action; 
			if(action){
				action.apply(this); 
			}
		}
	}, 
	
	getURI: function(utilityName){
		// return this.iContext.io.rewriteURI(this.BSPACE_SERVER_URI+this.UTILITY_MAP[utilityName].uri);  
		var uri = undefined;
		if (this.UTILITY_MAP[utilityName] && this.UTILITY_MAP[utilityName].uri){
			uri = this.BSPACE_SERVER_URI+this.UTILITY_MAP[utilityName].uri; 
		}
		return uri;
	}
}); 