/*
   Licensed Materials - Property of IBM
   5724-M22, 5724-M23, 5724-M24, 5724-L01, 5724-R31
   Copyright IBM Corporation 2007, 2008. All Rights Reserved.
   US Government Users Restricted Rights- Use, duplication or disclosure
   restricted by GSA ADP Schedule Contract with IBM Corp.
*/

dojo.provide("com.ibm.bspace.iwidget.util.common"); 


dojo.declare("com.ibm.bspace.iwidget.util.common", null, {
	getServiceEndPoint: function(key){
		return window.getServiceEndPoint(); 
	}, 
	
	getBSpaceRegistry: function(){
		var proto = com.ibm.bspace.iwidget.util.common.prototype; 
		if(!proto.bspaceRegistryData){
			var data = {}; 
			dojo.forEach(this._getBSpaceRegistryFromServer(), function(registry){
				data[registry.iWidgetDefinition] = registry; 
			}, this); 
			
			proto.bspaceRegistryData = data; 
		}
		
		return proto.bspaceRegistryData[this.getDefinitionXMLPath()];
	}, 
	
	isInBSpace: function(){
		// TODO: remove negation. It is used for testing only
		return !dojo.global.paletteData; 	
	}, 
	
	getBSpaceRegistryServiceURI: function(){
		var serverURI = this.iContext.getiWidgetAttributes().getItemValue("bspaceServerURI"); 
		if(serverURI.charAt(serverURI.length - 1) != "/"){
			serverURI = serverURI + "/"; 
		}
		return this.iContext.io.rewriteURI(serverURI+"services/request/reg/widgetsAll"); 
	}, 
	
	_getBSpaceRegistryFromServer: function(){
		if(this.isInBSpace()){
			return dojo.global.paletteData; 
		}
		
		var result = {}; 
		// Synchronous call to get bspace registry data. It should be OK to make synchronous call because it will be 
		// made only once. The result will be cached for future use. 
		
		dojo.xhrGet({
			url: this.getBSpaceRegistryServiceURI(), 
			handleAs: 'json',
			sync: true,
			load: function(data, args){
				result = data.WidgetArray;
			},
			
			error: function(data, args){
				console.error(messages.error_loading_palette, data);
			}
		}); 
		
		return result; 
	}, 
	
	getServiceEndpoint: function(key){
		var registry = this.getBSpaceRegistry(); 
		for(var i = 0; i < registry.serviceEndpoints.length; ++i){
			var endpoint = registry.serviceEndpoints[i][key]; 
			if(endpoint){
				return this.iContext.io.rewriteURI(endpoint); 
			}
		}
		
		return ""; 
	}, 
	
	getServiceURLRoot: function(){
		var serviceURI = this.getBSpaceRegistry().serviceUrlRoot; 
		if(!serviceURI){
			return ""; 
		}
		
		return this.iContext.io.rewriteURI(serviceURI); 	
	}, 
	
	getDefinitionXMLPath: function(){		
		console.dir(iWidgetContainer.getWidgetById(this.iContext.widgetId)); 
		return iWidgetContainer.getWidgetById(this.iContext.widgetId).widgetInstance.widgetXMLUrl; 
	}
	
}); 